Package org.apache.storm.container.oci

## Class OciUtils

- java.lang.Object
- - org.apache.storm.container.oci.OciUtils

-     public class OciUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OciUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `adjustImageConfigForTopo​(Map<String,​Object> conf, Map<String,​Object> topoConf, String topoId)` | Adjust the image config for the topology.
    `static void` | `validateImageInDaemonConf​(Map<String,​Object> conf)` | Validates the image setting in the daemon conf.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OciUtils

          public OciUtils()

  - ### Method Detail

    - #### adjustImageConfigForTopo

          public static void adjustImageConfigForTopo​(Map<String,​Object> conf,
                                                      Map<String,​Object> topoConf,
                                                      String topoId)
                                               throws InvalidTopologyException

      Adjust the image config for the topology. If OCI container is not supported, remove the oci image setting from the topoConf; otherwise, set it to the default image if it's null.
      Parameters:
        `conf` - the daemon conf
        `topoConf` - the topology conf
        `topoId` - the topology Id
      Throws:
        `InvalidTopologyException` - if image config is invalid

    - #### validateImageInDaemonConf

          public static void validateImageInDaemonConf​(Map<String,​Object> conf)

      Validates the image setting in the daemon conf. This will be skipped if `DaemonConfig.STORM_OCI_ALLOWED_IMAGES` not configured.
      Parameters:
        `conf` - the daemon conf